Description

Provide a filter on the reports search line that limits the list to reports that contain changes.

This constraint should also be the default for the link on the reports page for a host. That is, a host's list of reports should only contain

those of interest.

Associated revisions

Revision e53706e8 - 11/08/2010 09:44 PM - Paul Kelly

Fixes #370 - Added 'interesting' filter to reports

History

#1 - 09/01/2010 01:51 PM - Paul Kelly

- Category set to Reporting

- Status changed from New to Ready For Testing

- Assignee set to Paul Kelly

- Branch set to feature/370-interesting-report-filter

#2 - 09/19/2010 03:24 PM - Ohad Levy

- Target version set to 0.1-6

I've just tried this branch, two comments:

1. it doesn't work - the box is selected, but the reports are not correct (you see all reports, not just interesting ones).

2. I'm not sure that I want to users not to be able to see the good reports, if I understood correctly, your patch will not allow us to see the good

reports in the list.

#3 - 09/19/2010 05:16 PM - Paul Kelly

1) There is a misunderstanding here. When you select the reports page you get ALL reports. If you access search you are presented with a search

builder with the interesting filter activated by default. You can remove that tick if you wish.

2) The user is able to see whatever reports that they want via the search facility. Maybe we should go the whole way, (as you thought,) and set the

interesting flag for reports on the reports front page and not just in the search line. The user could then see all reports just by unticking the interesting

flag on the search line and clicking GO. If this were the case though, you would only be given a list of hosts that had something to report and not all

hosts; but maybe this is better anyway. What do you think?

#4 - 09/20/2010 10:41 AM - Paul Kelly

rebased

tested

#5 - 09/30/2010 02:16 PM - Paul Kelly

The reports heading now reflects whether the list is for all reports or for eventful reports

Rebased, tested
#6 - 10/21/2010 10:30 AM - Ohad Levy

Can you please revisit this ticket after the changes #405?

#7 - 11/07/2010 11:46 AM - Ohad Levy

- Status changed from Ready For Testing to Assigned

can you please rebase it again?

thanks

#8 - 11/08/2010 01:39 PM - Paul Kelly

- Status changed from Assigned to Ready For Testing

Rebased and tested

#9 - 11/08/2010 09:50 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset e53706e8cd42a5ed025aaefaf7cb244c1174a789.

#10 - 11/10/2010 12:48 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
